# ${REPO_NAME}

${REPO_DESCRIPTION}

## Commands

<details>
   <summary><code>serve</code> - Launch the web server</summary>

   ```bash
   $ serve --help

      NAME:
         ${REPO_NAME} serve - Start the web server

      USAGE:
         ${REPO_NAME} serve [command options] [arguments...]

      OPTIONS:
         database

         --db-host value      Database host (default: "localhost") [$$${REPO_NAME_UPPER}_DB_HOST]
         --db-password value  Database password (default: "${REPO_NAME_LOWER}") [$$${REPO_NAME_UPPER}_DB_PASSWORD]
         --db-port value      Database port (default: 5432) [$$${REPO_NAME_UPPER}_DB_PORT]
         --db-user value      Database user (default: "${REPO_NAME_LOWER}") [$$${REPO_NAME_UPPER}_DB_USER]

         logging

         --log-file value   Log file [$$${REPO_NAME_UPPER}_LOG_FILE]
         --log-level value  Log verbosity level (debug, info, warn, error) (default: "info") [$$${REPO_NAME_UPPER}_LOG_LEVEL]

         server

         --host value, -H value  Host to listen on (default: "localhost") [$$${REPO_NAME_UPPER}_HTTP_HOST]
         --port value, -P value  Port to listen on (default: 8080) [$$${REPO_NAME_UPPER}_HTTP_PORT]
   ```

</details>
