package views

import (
	"net/http"
	"strconv"
)

func RenderError(w http.ResponseWriter, code int, msg string) error {
	return render(w, strconv.FormatInt(int64(code), 10), "", map[string]interface{}{
		"message": msg,
	})
}
